
Foreman Remote Execution - Bug #37305

Remote execution ignores default values for template inputs when triggering jobs through the api

03/27/2024 01:16 PM - Adam Ruzicka

Status: Closed   

Priority: Normal   

Assignee: Adam Ruzicka   

Category:    

Target version:    

Difficulty:  Fixed in Releases: foreman_remote_execution-13.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman_r

emote_execution/pull/880

  

Description

Steps to reproduce:

1) Import the attached job template

2) Try to run it with curl without providing a value for the foo input

curl -u admin:changeme http://foreman-r3.orb.local:5000/api/v2/job_invocations -X POST -d '{"job_i

nvocation": {"job_template_id": 187, "search_query": "name ~ *", "targeting_type": "static_query",

 "inputs": {}}}' -H 'Content-Type: application/json'

 Note, the template had id 187 on my box

<%#

name: Foo

snippet: false

template_inputs:

- name: foo

  required: false

  input_type: user

  advanced: false

  value_type: plain

  default: '1'

  hidden_value: false

model: JobTemplate

job_category: Miscellaneous

provider_type: script

kind: job_template

organizations:

- Default Organization

locations:

- Default Location

%>

<%= input['foo'] %>

Associated revisions

Revision 3658d814 - 05/15/2024 02:56 PM - Adam Růžička 

Fixes #37305 - Honor default values (#880)

for template inputs

History

#1 - 03/27/2024 01:19 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman_remote_execution/pull/880 added
#2 - 05/15/2024 02:56 PM - The Foreman Bot

- Fixed in Releases foreman_remote_execution-13.0.1 added

#3 - 05/15/2024 03:00 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman_plugin|3658d814a1c936ba1d5ab2a3afaa04a21288f65f.

#4 - 05/16/2024 07:23 AM - Adam Ruzicka

- Fixed in Releases foreman_remote_execution-13.1.0 added

- Fixed in Releases deleted (foreman_remote_execution-13.0.1)
